﻿@model MergeViewModel

<section class="content-header">
    <h1>
        Merge Taxonomies
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
        <li class="active">Here</li>
    </ol>
</section>
<section class="content">
    <div class="row">
        <!-- left column -->
        <div class="col-md-6">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">Merge Taxonomies</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form role="form" asp-controller="Taxonomy" asp-action="Merge" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        @*<input type="hidden" asp-for="TaxonomyIds" value="@Model.TaxonomyIds" />*@
                        @foreach (var taxonomyId in Model.TaxonomyIds)
                        {
                            <input type="hidden"  asp-for="TaxonomyIds" value="@taxonomyId"/>
                        }
                        <input type="hidden" asp-for="RootId" value="@Model.RootId" />
                        <input type="hidden" asp-for="MergingLeaves" value="@Model.MergingLeaves" />
                        <input type="hidden" asp-for="ProcessName" value="@Model.ProcessName" />
                        

                        <div class="form-group">
                            <label asp-for="ProcessName"></label>
                            <input asp-for="ProcessName" class="form-control" value="@Model.ProcessName" disabled />
                        </div>

                        <div class="form-group">
                            <label for="myname">TaxonomyNames</label>
                            <select multiple disabled class="form-control" name="myname">
                                @foreach (var name in Model.TaxonomyNames)
                                {
                                    <option>@name</option>
                                }
                            </select>
                        </div>


                        <div class="form-group">
                            <label asp-for="NewName"></label>
                            <input asp-for="NewName" class="form-control" value="New Taxonomy Name" />
                        </div>
                        
                    </div>
                    <!-- /.box-body -->

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
            <!-- /.card -->
        </div>
    </div>
    <!-- /.row -->
</section>
